workspaces_members_create
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"user":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","role":"owner","workspace":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "user": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "role": "owner", "workspace": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Create a new workspace member object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Serializer for WorkspaceMember model.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for WorkspaceMember model.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for WorkspaceMember model.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”Serializer for WorkspaceMember model.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "role": "owner"}object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter>", "code": "required", "message": "This field is required." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "user", "code": "not_allowed", "message": "User is already a member of this workspace." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
